package org.supermmx.ginger.gui.action;

import org.supermmx.ginger.Ginger;
import org.supermmx.ginger.GingerSession;
import org.supermmx.ginger.gui.GingerFrame;

import org.supermmx.peony.ui.PeonyAction;
import org.supermmx.peony.ui.PeonyUIData;

import java.awt.event.ActionEvent;

/**
 * Connect current session and the correponding tab.
 *
 * @author SuperMMX
 */
public class CloseAction extends PeonyAction {
    public CloseAction(PeonyUIData data) {
        super(data);

        setName(i18n.tr("Cl&ose"));
    }

    public void actionPerformed(ActionEvent event) {
        Ginger ginger = (Ginger)data;
        GingerFrame frame = ginger.getFrame();

        frame.closeSelectedSession();
    }
}
