package org.supermmx.ginger.gui.action;

import org.supermmx.ginger.Ginger;
import org.supermmx.ginger.GingerSession;
import org.supermmx.ginger.gui.GingerFrame;

import org.supermmx.peony.ui.PeonyAction;
import org.supermmx.peony.ui.PeonyUIData;

import java.awt.event.ActionEvent;

/**
 * Connect current session.
 *
 * @author SuperMMX
 */
public class ConnectAction extends PeonyAction {
    public ConnectAction(PeonyUIData data) {
        super(data);

        setName(i18n.tr("&Connect"));
    }

    public void actionPerformed(ActionEvent event) {
        Ginger ginger = (Ginger)data;
        GingerFrame frame = ginger.getFrame();
        GingerSession session = frame.getSelectedSession();
        if (session != null && !session.isConnected()) {
            session.connect();
        }
    }
}
