package org.supermmx.ginger.gui.action;

import org.supermmx.ginger.Ginger;
import org.supermmx.ginger.GingerSession;
import org.supermmx.ginger.gui.GingerFrame;

import org.supermmx.peony.ui.PeonyAction;
import org.supermmx.peony.ui.PeonyUIData;

import java.awt.event.ActionEvent;

/**
 * Disconnect current session.
 *
 * @author SuperMMX
 */
public class DisconnectAction extends PeonyAction {
    public DisconnectAction(PeonyUIData data) {
        super(data);

        setName(i18n.tr("&Disconnect"));
    }

    public void actionPerformed(ActionEvent event) {
        Ginger ginger = (Ginger)data;
        GingerFrame frame = ginger.getFrame();
        GingerSession session = frame.getSelectedSession();
        if (session != null) {
            session.disconnect();
        }
    }
}
