package org.supermmx.ginger.gui.action;

import org.supermmx.ginger.Ginger;
import org.supermmx.ginger.gui.dialog.AboutDialog;

import org.supermmx.peony.ui.PeonyAction;

import java.awt.event.ActionEvent;

/**
 * Show the about dialog.
 *
 * @author SuperMMX
 */
public class ShowAboutAction extends PeonyAction {
    public ShowAboutAction(Ginger ginger) {
        super(ginger);

        setName(i18n.tr("&About"));
    }

    public void actionPerformed(ActionEvent event) {
        new AboutDialog((Ginger)data);
    }
}
